Index: branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/DataEntry/TAndPCosts/FrmTAndPCostsAuxiliary.cs	(revision 51)
@@ -38,38 +38,6 @@
                     m_CellSize[col.Index] = col.Width;
                 }
 
-                // システム権限によってコンボボックスの表示を変える
-                int Admin = CommonDefine.AdminSecurityManagement;                                                           // システム管理者
-                int President = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key;        // 最高責任者
-                int Supervisor = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key;      // 統括責任者
-                int Superior = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key;          // 所　属　長
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;                  // 一般ユーザー
-                if (CommonMotions.LoginUserData.SecurityManagement == Admin
-                    || CommonMotions.LoginUserData.SecurityManagement == President
-                    || CommonMotions.LoginUserData.SecurityManagement == Supervisor)
-                {
-                    // システム管理者
-                    // 最高機密管理者
-                    // 統括機密管理者
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == Superior)
-                {
-                    // 所属長（部署コンボ非表示）
-                    label9.Visible = false;
-                    cmbDepartment.Visible = false;
-                    label7.Location = label9.Location;
-                    cmbConstructionPerson.Location = cmbDepartment.Location;
-                }
-                else if (CommonMotions.LoginUserData.SecurityManagement == User)
-                {
-                    // 一般使用者（自分のみアクセス可能）
-                    // 部署・担当者コンボ非表示
-                    label9.Visible = false;
-                    cmbDepartment.Visible = false;
-                    label7.Visible = false;
-                    cmbConstructionPerson.Visible = false;
-                }
-
                 // グリッドコントロールのセット
                 m_dispGridControl = new DataGridView[] { dgvPage1, dgvPage2, dgvPage3, dgvPage4, dgvPage5 };
 
@@ -166,7 +134,8 @@
             try
             {
                 // 存在月を担当者毎経費データより取得する
-                string strSQL = "SELECT DATE_FORMAT(ACTIONDATE,'%Y/%m'), COUNT(*) FROM CostDataOfPerson GROUP BY DATE_FORMAT(ACTIONDATE,'%Y/%m') ORDER BY 1";
+                //string strSQL = "SELECT TO_CHAR(ACTIONDATE,'YYYY/MM'), COUNT(*) FROM CostDataOfPerson GROUP BY TO_CHAR(ACTIONDATE,'YYYY/MM') ORDER BY 1";
+                string strSQL = "SELECT DATE_FORMAT(ACTIONDATE,'%Y/%m/'), COUNT(*) FROM CostDataOfPerson GROUP BY DATE_FORMAT(ACTIONDATE,'%Y/%m') ORDER BY 1";
                 ArrayList arList = new ArrayList();
                 CostDB.ExecuteReader(strSQL, ref arList);
 
@@ -209,6 +178,186 @@
         }
         #endregion
 
+        #region コンボボックス初期表示
+        /// <summary>
+        /// コンボボックス初期表示
+        /// </summary>
+        private void InitCombBox()
+        {
+            try
+            {
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    InitCombBox_OLD();
+                }
+                else
+                {
+                    InitCombBox_NEW();
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示（旧）
+        /// <summary>
+        /// コンボボックス初期表示（旧）
+        /// </summary>
+        private void InitCombBox_OLD()
+        {
+            try
+            {
+                // システム権限によってデータアクセスに制限がある
+                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.AdminSecurityManagement
+                || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.PresidentAuthority].Key
+                || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SupervisorAuthority].Key
+                || CommonMotions.LoginUserData.DepartmentCode == CommonDefine.s_GeneralAffairsDevision)
+                {
+                    // システム管理者
+                    // 最高機密管理者
+                    // 統括機密管理者
+                    // 総務部所属者は全て見える
+
+                    // 部署・担当者コンボ表示
+                    DispAllCombBoxControl(true);
+                }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                {
+                    // 所属長
+                    // 部署コンボ非表示
+                    NonDispDepCombBox();
+                }
+                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                {
+                    // 一般使用者（自分のみアクセス可能）
+                    // 部署・担当者コンボ非表示
+                    DispAllCombBoxControl(false);
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region コンボボックス初期表示（新）
+        /// <summary>
+        /// コンボボックス初期表示（新）
+        /// </summary>
+        private void InitCombBox_NEW()
+        {
+            try
+            {
+                int AllPath = (int)CommonDefine.SecurityRangePos.AllPath;           // 全部署
+                int Multiple = (int)CommonDefine.SecurityRangePos.Multiple;         // 複数部署
+                int Only = (int)CommonDefine.SecurityRangePos.Only;                 // 自部署のみ
+                int None = (int)CommonDefine.SecurityRangePos.None;                 // 自担当者のみ
+
+                if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode
+                    || CommonMotions.LoginUserSecurity.SecRange == CommonDefine.SecurityRangeList[AllPath].Key)
+                {
+                    // 部署・担当者コンボ表示
+                    DispAllCombBoxControl(true);
+                }
+                else 
+                {
+                    if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Multiple].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(true);
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[Only].Key)
+                    {
+                        // 部署コンボ非表示
+                        NonDispDepCombBox();
+                    }
+                    else if (CommonMotions.LoginUserSecurity.SecRange == (int)CommonDefine.SecurityRangeList[None].Key)
+                    {
+                        // 部署・担当者コンボ表示
+                        DispAllCombBoxControl(false);
+                    }
+                }
+
+                // 初期設定対象がコンボボックスデータにあればセットする
+                for (int i = 0; i < cmbDepartment.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.DepartmentCode)
+                    {
+                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                    }
+                }
+
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == CommonMotions.LoginUserData.PersonCode)
+                    {
+                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                    }
+                }
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 部署コンボボックスの非表示処理
+        /// <summary>
+        /// 部署コンボボックスの非表示処理
+        /// </summary>
+        private void NonDispDepCombBox()
+        {
+            try
+            {
+                // 部署コンボ非表示
+                label2.Visible = false;
+                cmbDepartment.Visible = false;
+
+                // 表示位置のセット
+                Point loc3 = label3.Location;
+                loc3.X = label2.Location.X + 10;
+                label3.Location = loc3;
+
+                Point loc4 = cmbConstructionPerson.Location;
+                loc4.X = label3.Location.X + label3.Width + 10;
+                cmbConstructionPerson.Location = loc4;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
+        #region 全コンボボックス表示をON/OFFする
+        /// <summary>
+        /// 全コンボボックス表示をON/OFFする
+        /// </summary>
+        private void DispAllCombBoxControl(bool bDsp)
+        {
+            try
+            {
+                // 部署・担当者コンボ非表示
+                label2.Visible = bDsp;
+                cmbDepartment.Visible = bDsp;
+                label3.Visible = bDsp;
+                cmbConstructionPerson.Visible = bDsp;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
+
         #region 部署コンボボックスをセットする
         /// <summary>
         /// 部署コンボボックスへ文字をセットする
@@ -216,38 +365,62 @@
         private bool SetcmbDepartment()
         {
             IOMDepartment depDB = new IOMDepartment();
-            List<DepartmentMaster> workList = new List<DepartmentMaster>();
+            bool bSave = m_bInitFlg;
+            m_bInitFlg = true;
             try
             {
 
-                cmbConstructionPerson.DataSource = null;
-                cmbConstructionPerson.Items.Clear();
-                cmbConstructionPerson.Text = "";
+                cmbDepartment.DataSource = null;
+                cmbDepartment.Items.Clear();
+                cmbDepartment.Text = "";
 
-                string strSQL = " WHERE DELETEFLG = 0";
+                string strSQL = string.Empty;
+                // 部署マスタを検索する
+                strSQL = "SELECT A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER, COUNT(*)";
+                strSQL += " FROM DEPARTMENTMASTER A, PERSONINCHARGEMASTER B, CONSTRUCTIONBASEINFO C";
+                strSQL += " WHERE A.DELETEFLG = 0";
 
-                if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key)
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
-                    // 所属長
-                    strSQL = string.Format(" AND DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    // システム権限によってデータアクセスに制限がある
+                    if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.SuperiorAuthority].Key
+                        || CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                    {
+                        // 所属長
+                        // 一般使用者（自分のみアクセス可能）
+                        strSQL += string.Format(" AND A.DEPARTMENTCODE = {0}", CommonMotions.LoginUserData.DepartmentCode);
+                    }
                 }
-                else if (CommonMotions.LoginUserData.SecurityManagement == CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                else
                 {
-                    // 一般使用者（自分のみアクセス可能）
-                    // 部署・担当者コンボ非表示
-                    return true;
+                    if (CommonMotions.LoginUserData.PersonCode == CommonDefine.AdminCode)
+                    {
+
+                    }
+                    else
+                    {
+                        // 参照部署マスタより取得する
+                        strSQL += " AND A.DEPARTMENTCODE IN (SELECT A1.DEPARTMENTCODE FROM PERSONDEPARTMENTMASTER A1";
+                        strSQL += string.Format(" WHERE A1.PERSONCODE = {0})", CommonMotions.LoginUserData.PersonCode);
+                    }
                 }
+                strSQL += " AND A.DEPARTMENTCODE = B.DEPARTMENTCODE";
+                strSQL += " AND B.PERSONCODE = C.CONSTRUCTIONPERSONCODE";
+                strSQL += " GROUP BY A.DEPARTMENTCODE, A.DEPARTMENTSTRING, A.DISPLAYORDER";
+                strSQL += " ORDER BY A.DISPLAYORDER ASC";
 
                 // 部署マスタ読込
-                strSQL += " ORDER BY DISPLAYORDER ASC";
-                if (!depDB.SelectAction(strSQL, ref workList)) return false;
+                ArrayList arList = new ArrayList();
+                if (!depDB.ExecuteReader(strSQL, ref arList)) return false;
 
                 List<KeyValuePair<int, string>> ConstructionDataList = new List<KeyValuePair<int, string>>();
                 ConstructionDataList.Add(new KeyValuePair<int, string>(0, ""));
 
-                foreach (DepartmentMaster work in workList)
+                foreach (object[] work in arList)
                 {
-                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(work.DepartmentCode, work.DepartmentString);
+                    KeyValuePair<int, string> keyval = new KeyValuePair<int, string>(CommonMotions.cnvInt(work[0])
+                                                                                    , CommonMotions.cnvString(work[1]));
 
                     ConstructionDataList.Add(keyval);
                 }
@@ -255,7 +428,17 @@
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbDepartment, ConstructionDataList);
 
-                cmbDepartment.SelectedIndex = -1;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // 所属長
+                    // 一般使用者（自分のみアクセス可能）
+                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key)
+                    {
+                        cmbDepartment.SelectedValue = CommonMotions.LoginUserData.DepartmentCode;
+                    }
+                }
+
                 return true;
             }
             catch (Exception ex)
@@ -266,10 +449,44 @@
             finally
             {
                 depDB.close(); depDB = null;
+                m_bInitFlg = bSave;
             }
         }
         #endregion
-        
+
+        #region 部署コンボボックスに対象があるかをチェックする
+        /// <summary>
+        /// 部署コンボボックスに対象があるかをチェックする
+        /// </summary>
+        /// <param name="Department"></param>
+        /// <returns></returns>
+        private bool SearchDepartmentCombBoxItem(int Department)
+        {
+            try
+            {
+                bool bRet = false;
+
+                // 対象がコンボボックスデータにあればセットする
+                for (int i = 0; i < cmbDepartment.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbDepartment.Items[i];
+                    if (wrkPair.Key == Department)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
         #region 担当者コンボボックスデータセット
         /// <summary>
         /// 担当者コンボボックスへ文字をセットする
@@ -318,8 +535,17 @@
 
                 // コンボボックス初期表示
                 ComboBoxAction.InitDataSetCombBox(cmbConstructionPerson, DataList);
-                cmbConstructionPerson.SelectedIndex = -1;
 
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
+                {
+                    // 一般ユーザーで総務部所属者ではない場合、ログイン者のコードをセットする
+                    if (CommonMotions.LoginUserData.SecurityManagement != CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key &&
+                        CommonMotions.LoginUserData.DepartmentCode != CommonDefine.s_GeneralAffairsDevision)
+                    {
+                        cmbConstructionPerson.SelectedValue = CommonMotions.LoginUserData.PersonCode;
+                    }
+                }
             }
             catch (Exception ex)
             {
@@ -332,6 +558,82 @@
         }
         #endregion
 
+        #region 担当者コンボボックスに対象があるかをチェックする
+        /// <summary>
+        /// 担当者コンボボックスに対象があるかをチェックする
+        /// </summary>
+        /// <param name="PersonCode"></param>
+        /// <returns></returns>
+        private bool SearchPersonCombBoxItem(int PersonCode)
+        {
+            try
+            {
+                bool bRet = false;
+                for (int i = 0; i < cmbConstructionPerson.Items.Count; i++)
+                {
+                    KeyValuePair<int, string> wrkPair = (KeyValuePair<int, string>)cmbConstructionPerson.Items[i];
+                    if (wrkPair.Key == PersonCode)
+                    {
+                        bRet = true;
+                        break;
+                    }
+                }
+
+                return bRet;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+        }
+        #endregion
+
+        #region 担当者コンボボックスセット時部署をセットする
+        /// <summary>
+        /// 担当者コンボボックスセット時部署をセットする
+        /// </summary>
+        /// <returns></returns>
+        private bool SetPerosonToDepartment()
+        {
+            IOMPersonInCharge PersonDB = new IOMPersonInCharge();
+            try
+            {
+                // コンボボックスより選択担当者を取得する
+                int PersonCode = GetConstructionPersonCode();
+                if (PersonCode < 1) return false;
+
+                int DepartmentCode = CommonMotions.cnvInt(cmbDepartment.SelectedValue);
+
+                string strSQL = PersonDB.CreatePrimarykeyString(PersonCode);
+                PersonInChargeMaster PersonRec = new PersonInChargeMaster();
+                PersonDB.SelectAction(strSQL, ref PersonRec);
+
+                // 部署コンボボックスへ部署コードセット
+                if (PersonRec.DepartmentCode > 0 && DepartmentCode != PersonRec.DepartmentCode)
+                {
+                    bool bSave = m_bInitFlg;
+                    m_bInitFlg = true;
+                    cmbDepartment.SelectedValue = PersonRec.DepartmentCode;
+                    SetcombBoxPerson();    // 担当者コンボボックス変更
+                    cmbConstructionPerson.SelectedValue = PersonCode;
+                    m_bInitFlg = bSave;
+                }
+
+                return true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
+            }
+            finally
+            {
+                PersonDB.close(); PersonDB = null;
+            }
+        }
+        #endregion
+
         #region 画面サイズ変更時のセルサイズ変更
         /// <summary>
         /// 画面サイズ変更時のセルサイズ変更
@@ -390,6 +692,9 @@
                 {
                     // データを表示する
                     SetGridData(ix);
+                    
+                    // 参照時はロックする
+                    if (m_EditLock) SeeModeLock(ix, true);
                 }
                 return true;
             }
@@ -448,10 +753,14 @@
             /// </summary>
             PaymentContent,
             /// <summary>
-            /// 入力金額
+            /// 税抜支払金額
             /// </summary>
             EntryPrice,
             /// <summary>
+            /// 税込支払金額
+            /// </summary>
+            EntryPriceInTax,
+            /// <summary>
             /// 仕入れ先コード
             /// </summary>
             SuppliersCode,
@@ -509,8 +818,15 @@
                 {
                     // ロック解除
                     SeeModeLock(TargetTab, false);
-                    // 前月は2週目より以降はロックする
-                    if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, true);
+                    if (PersonCode != 20160701) // ※※※※※特殊処理※※※※※
+                    {
+                        if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, true);
+                    }
+                    else
+                    {
+                        // 前月は2週目より以降はロックする
+                        if (DateTimeUtil.GetWeekOfMounth(DateTime.Now) > 2) SeeModeLock(TargetTab, false);
+                    }
 
                 }
                 else if (iCompare > 0)
@@ -519,8 +835,17 @@
                     SeeModeLock(TargetTab, false);
                 }
                 else
-                {   // 前前月はロックする
-                    SeeModeLock(TargetTab, true);
+                {
+                    if (PersonCode != 20160701)  // ※※※※※特殊処理※※※※※
+                    {
+                        // 前前月はロックする
+                        SeeModeLock(TargetTab, true);
+                    }
+                    else
+                    {
+                        // 前前月はロックする
+                        SeeModeLock(TargetTab, false);
+                    }
                 }
             }
             catch (Exception ex)
@@ -560,8 +885,9 @@
 
                 // データ読込
                 string strSQL = "SELECT";
-                strSQL += " DATE_FORMAT(ACTIONDATE,'DD'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
-                strSQL += " ENTRYPRICE, SUPPLIERSCODE, SUPPLIERSNAME, COMPLATEFLG,";
+                //strSQL += " TO_CHAR(ACTIONDATE,'DD'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
+                strSQL += " DATE_FORMAT(ACTIONDATE,'/%d'), DATATYPE, CONSTRUCTIONCODE, PAYMENTCONTENT,";
+                strSQL += " ENTRYPRICE, ENTRYPRICEINTAX, SUPPLIERSCODE, SUPPLIERSNAME, COMPLATEFLG,";
                 strSQL += " APPROVALFLG, DATAADDCOUNT, PaymentType";
                 strSQL += " FROM CostDataOfPerson";
                 strSQL += string.Format(" WHERE PERSONCODE = {0}", PersonCode);
@@ -637,7 +963,8 @@
                                     ButtonTop[0], ButtonTop[1], ButtonTop[2],                                       // 種別ボタン
                                     paymentType,                                                                    // 支払方法種別
                                     s_PaymentTypeString[paymentType],                                               // 支払方法種別名称
-                                    CommonMotions.cnvInt(wrkobj[(int)CostsDataCol.EntryPrice]).ToString("#,0"),     // 入力金額
+                                    CommonMotions.cnvDouble(wrkobj[(int)CostsDataCol.EntryPrice]).ToString("#,0"),     // 入力金額(税抜)
+                                    CommonMotions.cnvDouble(wrkobj[(int)CostsDataCol.EntryPriceInTax]).ToString("#,0"),// 入力金額(税込)
                                     CommonMotions.cnvInt(wrkobj[(int)CostsDataCol.SuppliersCode]),                  // 仕入先コード
                                     wrkobj[(int)CostsDataCol.SuppliersName].ToString(),                             // 仕入先名
                                     FixFlg,                                                                         // 固定フラグ
@@ -771,6 +1098,9 @@
                 DataGridView dgv = m_dispGridControl[CurTabCnt];
                 DataGridViewRow CurRow = dgv.CurrentRow;
 
+                bool LastRow = false;
+                if ((dgv.RowCount - 1) == dgv.CurrentRow.Index) LastRow = true;
+
                 // 対象日付取得
                 int TargetDay = CommonMotions.cnvInt(CurRow.Cells[(int)DispGridColumn.Days].Value);
 
@@ -784,6 +1114,9 @@
                 // 日付セット
                 dgv.Rows[InsertCnt].Cells[(int)DispGridColumn.Days].Value = TargetDay;
 
+                // 最終行で行追加は視点を1行上げる
+                if (LastRow) dgv.FirstDisplayedScrollingRowIndex ++;
+                
                 // データ変更フラグON
                 m_bChengeAns = true;
             }
@@ -1044,6 +1377,7 @@
 
                 // まず削除する
                 string strSQL = string.Format(" WHERE PersonCode = {0}", PersonCode);
+                //strSQL += string.Format(" AND TO_CHAR(ActionDate,'YYYY/MM') = '{0}'", TargetMonth);
                 strSQL += string.Format(" AND DATE_FORMAT(ActionDate,'%Y/%m') = '{0}'", TargetMonth);
                 CostDB.DeleteAction(strSQL, false);
 
@@ -1102,8 +1436,10 @@
                 costRec.SuppliersName = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.SuppliersName].Value);
                 // 支払内容
                 costRec.PaymentContent = CommonMotions.cnvString(dgvRow.Cells[(int)DispGridColumn.PaymentContent].Value);
-                // 金額
+                // 金額(税抜)
                 costRec.EntryPrice = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPrice].Value);
+                // 金額(税込)
+                costRec.EntryPriceInTax = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.EntryPriceInTax].Value);
                 // 支払方法区分
                 costRec.PaymentType = CommonMotions.cnvInt(dgvRow.Cells[(int)DispGridColumn.PaymentType].Value);
             }
@@ -1125,10 +1461,22 @@
             bool bAns = true;
             try
             {
-                // 一般ユーザー
-                int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
-                if (CommonMotions.LoginUserData.SecurityManagement != User)
+                bool bSelFlg = false;
+                // 新セキュリティデータ対応済みかを確認する
+                if (CommonMotions.LoginUserData.SecCode == 0)
                 {
+                    // 一般ユーザー
+                    int User = CommonDefine.SystemManageDiv[(int)CommonDefine.SysManaDivNo.UserAuthority].Key;
+                    if (CommonMotions.LoginUserData.SecurityManagement != User) bSelFlg = true;
+                }
+                else
+                {
+                    // 一般ユーザー
+                    int User = CommonDefine.SecurityRankList[(int)CommonDefine.SecurityRankPos.NormalAuthority].Key;
+                    if (CommonMotions.LoginUserSecurity.SecRank != User) bSelFlg = true;
+                }
+                if (bSelFlg)
+                {
                     if (CommonMotions.cnvInt(cmbConstructionPerson.SelectedValue) == 0)
                     {
                         MessageBox.Show("担当者を選択してください。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
@@ -1288,9 +1636,11 @@
                 int PersonCode = GetConstructionPersonCode();
                 if (PersonCode == 0) return;
 
-                frm.PersonCode = PersonCode;
                 // 工事担当者検索
                 frm.PersonCharge = (int)FrmConstructionDiag.PersonChargePoint.Construction;
+                frm.PersonCode = PersonCode;
+                frm.ProcessNo = (int)ClsExcute.ProcessExecuteNo.TAndPCosts;
+
                 frm.ShowDialog();
                 // 終了コード確認
                 if (frm.EndButton == DialogResult.No) return;
